classification
Title: remove smtpd.MailmanProxy
Type: Stage: resolved
Components: email Versions: Python 3.8, Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: barry, corona10, miss-islington, r.david.murray, samuelcolvin
Priority: normal Keywords: patch, patch, patch

Created on 2019-01-21 17:27 by samuelcolvin, last changed 2021-06-10 00:00 by corona10. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11675 merged samuelcolvin, 2019-01-25 17:16
PR 11675 merged samuelcolvin, 2019-01-25 17:16
PR 11675 merged samuelcolvin, 2019-01-25 17:16
PR 26617 merged corona10, 2021-06-09 01:09
Messages (6)
msg334157 - (view) Author: Samuel Colvin (samuelcolvin) * Date: 2019-01-21 17:27
smtpd.MailmanProxy is completely broken, it takes the wrong arguments but also assumes the existence of a "Mailman" module which doesn't exist.

It should be removed in 3.8 or 3.9.

Created from https://bugs.python.org/issue35788

Happy to create a PR if this is agreed.
msg334189 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2019-01-21 22:29
Yes, it should be deprecated and removed.  TBH, IMHO smtpd.py should be entirely deprecated.  aiosmtpd (3rd party) is a much more modern approach.
msg334214 - (view) Author: Samuel Colvin (samuelcolvin) * Date: 2019-01-22 15:16
Ok, if I create a PR, should it just remove MailmanProxy completely or mark it as deprecated in the docs to be removed in 3.9?

Personally, I think it should be ok to remove it completely since it hasn't been working at all for the last 4 minor versions.
msg334216 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2019-01-22 15:44
On Jan 22, 2019, at 07:16, Samuel Colvin <report@bugs.python.org> wrote:
> 
> Ok, if I create a PR, should it just remove MailmanProxy completely or mark it as deprecated in the docs to be removed in 3.9?
> 
> Personally, I think it should be ok to remove it completely since it hasn't been working at all for the last 4 minor versions.

True, but I think we should stick to the normal deprecation process, just to be safe.
msg354542 - (view) Author: miss-islington (miss-islington) Date: 2019-10-12 17:24
New changeset 822922af90f389b20166f0cd6f5b7c76fd6d42d9 by Miss Islington (bot) (Samuel Colvin) in branch 'master':
bpo-35800: Deprecate smtpd.MailmanProxy (GH-11675)
https://github.com/python/cpython/commit/822922af90f389b20166f0cd6f5b7c76fd6d42d9
msg395492 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2021-06-09 23:12
New changeset 309ab616020f8504ced8ca64f7d7abc2df25a37f by Dong-hee Na in branch 'main':
bpo-35800: Remove smtpd.MailmanProxy since 3.11 (GH-26617)
https://github.com/python/cpython/commit/309ab616020f8504ced8ca64f7d7abc2df25a37f
History
Date User Action Args
2021-06-10 00:00:46corona10setkeywords: patch, patch, patch
status: open -> closed
stage: patch review -> resolved
2021-06-09 23:13:14corona10setkeywords: patch, patch, patch
resolution: fixed
2021-06-09 23:12:50corona10setmessages: + msg395492
2021-06-09 01:09:49corona10setnosy: + corona10
pull_requests: + pull_request25201
2019-10-12 17:24:29miss-islingtonsetnosy: + miss-islington
messages: + msg354542
2019-01-25 17:16:48samuelcolvinsetkeywords: + patch
stage: patch review
pull_requests: + pull_request11496
2019-01-25 17:16:40samuelcolvinsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11495
2019-01-25 17:16:32samuelcolvinsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11494
2019-01-22 15:44:49barrysetmessages: + msg334216
2019-01-22 15:16:28samuelcolvinsetmessages: + msg334214
2019-01-21 22:29:28barrysetmessages: + msg334189
2019-01-21 17:27:10samuelcolvincreate